diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/helper/lte-helper.cc ns-3.45/src/lte/helper/lte-helper.cc
--- ns-3.44/src/lte/helper/lte-helper.cc	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/helper/lte-helper.cc	2025-06-01 20:34:45.369701400 -0700
@@ -786,7 +786,7 @@
         {
             NS_LOG_WARN("UL propagation model does not have a Frequency attribute");
         }
-    } // end for
+    }
     rrc->SetForwardUpCallback(MakeCallback(&LteEnbNetDevice::Receive, dev));
     dev->Initialize();
     n->AddDevice(dev);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/helper/lte-helper.h ns-3.45/src/lte/helper/lte-helper.h
--- ns-3.44/src/lte/helper/lte-helper.h	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/helper/lte-helper.h	2025-06-01 20:34:45.369701400 -0700
@@ -847,8 +847,7 @@
      * Number of component carriers that will be installed by default at eNodeB and UE devices.
      */
     uint16_t m_noOfCcs;
-
-}; // end of `class LteHelper`
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/helper/no-backhaul-epc-helper.cc ns-3.45/src/lte/helper/no-backhaul-epc-helper.cc
--- ns-3.44/src/lte/helper/no-backhaul-epc-helper.cc	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/helper/no-backhaul-epc-helper.cc	2025-06-01 20:34:45.369701400 -0700
@@ -288,12 +288,6 @@
     return tid;
 }
 
-TypeId
-NoBackhaulEpcHelper::GetInstanceTypeId() const
-{
-    return GetTypeId();
-}
-
 void
 NoBackhaulEpcHelper::DoDispose()
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/helper/no-backhaul-epc-helper.h ns-3.45/src/lte/helper/no-backhaul-epc-helper.h
--- ns-3.44/src/lte/helper/no-backhaul-epc-helper.h	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/helper/no-backhaul-epc-helper.h	2025-06-01 20:34:45.369701400 -0700
@@ -51,7 +51,6 @@
      * @return The object TypeId.
      */
     static TypeId GetTypeId();
-    TypeId GetInstanceTypeId() const override;
     void DoDispose() override;
 
     // inherited from EpcHelper
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/helper/point-to-point-epc-helper.cc ns-3.45/src/lte/helper/point-to-point-epc-helper.cc
--- ns-3.44/src/lte/helper/point-to-point-epc-helper.cc	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/helper/point-to-point-epc-helper.cc	2025-06-01 20:34:45.369701400 -0700
@@ -82,12 +82,6 @@
     return tid;
 }
 
-TypeId
-PointToPointEpcHelper::GetInstanceTypeId() const
-{
-    return GetTypeId();
-}
-
 void
 PointToPointEpcHelper::DoDispose()
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/helper/point-to-point-epc-helper.h ns-3.45/src/lte/helper/point-to-point-epc-helper.h
--- ns-3.44/src/lte/helper/point-to-point-epc-helper.h	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/helper/point-to-point-epc-helper.h	2025-06-01 20:34:45.369701400 -0700
@@ -44,7 +44,6 @@
      * @return The object TypeId.
      */
     static TypeId GetTypeId();
-    TypeId GetInstanceTypeId() const override;
     void DoDispose() override;
 
     // inherited from EpcHelper
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/helper/radio-environment-map-helper.h ns-3.45/src/lte/helper/radio-environment-map-helper.h
--- ns-3.44/src/lte/helper/radio-environment-map-helper.h	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/helper/radio-environment-map-helper.h	2025-06-01 20:34:45.370701300 -0700
@@ -147,8 +147,7 @@
 
     bool m_useDataChannel; ///< The `UseDataChannel` attribute.
     int32_t m_rbId;        ///< The `RbId` attribute.
-
-}; // end of `class RadioEnvironmentMapHelper`
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/a2-a4-rsrq-handover-algorithm.cc ns-3.45/src/lte/model/a2-a4-rsrq-handover-algorithm.cc
--- ns-3.44/src/lte/model/a2-a4-rsrq-handover-algorithm.cc	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/model/a2-a4-rsrq-handover-algorithm.cc	2025-06-01 20:34:45.370701300 -0700
@@ -157,8 +157,7 @@
     {
         NS_LOG_WARN("Ignoring measId " << (uint16_t)measResults.measId);
     }
-
-} // end of DoReportUeMeas
+}
 
 void
 A2A4RsrqHandoverAlgorithm::EvaluateHandover(uint16_t rnti, uint8_t servingCellRsrq)
@@ -202,10 +201,8 @@
                 m_handoverManagementSapUser->TriggerHandover(rnti, bestNeighbourCellId);
             }
         }
-
-    } // end of else of if (it1 == m_neighbourCellMeasures.end ())
-
-} // end of EvaluateMeasurementReport
+    }
+}
 
 bool
 A2A4RsrqHandoverAlgorithm::IsValidNeighbour(uint16_t cellId)
@@ -244,7 +241,6 @@
     {
         neighbourCellMeasures = it2->second;
         neighbourCellMeasures->m_cellId = cellId;
-        neighbourCellMeasures->m_rsrp = 0;
         neighbourCellMeasures->m_rsrq = rsrq;
     }
     else
@@ -252,11 +248,9 @@
         // insert a new cell entry
         neighbourCellMeasures = Create<UeMeasure>();
         neighbourCellMeasures->m_cellId = cellId;
-        neighbourCellMeasures->m_rsrp = 0;
         neighbourCellMeasures->m_rsrq = rsrq;
         it1->second[cellId] = neighbourCellMeasures;
     }
-
-} // end of UpdateNeighbourMeasurements
+}
 
 } // end of namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/a2-a4-rsrq-handover-algorithm.h ns-3.45/src/lte/model/a2-a4-rsrq-handover-algorithm.h
--- ns-3.44/src/lte/model/a2-a4-rsrq-handover-algorithm.h	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/model/a2-a4-rsrq-handover-algorithm.h	2025-06-01 20:34:45.370701300 -0700
@@ -139,7 +139,6 @@
     {
       public:
         uint16_t m_cellId; ///< Cell ID.
-        uint8_t m_rsrp;    ///< RSRP in quantized format. \todo Can be removed?
         uint8_t m_rsrq;    ///< RSRQ in quantized format.
     };
 
@@ -177,8 +176,7 @@
     LteHandoverManagementSapUser* m_handoverManagementSapUser;
     /// Receive API calls from the eNodeB RRC instance.
     LteHandoverManagementSapProvider* m_handoverManagementSapProvider;
-
-}; // end of class A2A4RsrqHandoverAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/a3-rsrp-handover-algorithm.cc ns-3.45/src/lte/model/a3-rsrp-handover-algorithm.cc
--- ns-3.44/src/lte/model/a3-rsrp-handover-algorithm.cc	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/model/a3-rsrp-handover-algorithm.cc	2025-06-01 20:34:45.370701300 -0700
@@ -156,7 +156,7 @@
         // Inform eNodeB RRC about handover
         m_handoverManagementSapUser->TriggerHandover(rnti, bestNeighbourCellId);
     }
-} // end of DoReportUeMeas
+}
 
 bool
 A3RsrpHandoverAlgorithm::IsValidNeighbour(uint16_t cellId)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/a3-rsrp-handover-algorithm.h ns-3.45/src/lte/model/a3-rsrp-handover-algorithm.h
--- ns-3.44/src/lte/model/a3-rsrp-handover-algorithm.h	2025-03-09 16:55:49.479371500 -0700
+++ ns-3.45/src/lte/model/a3-rsrp-handover-algorithm.h	2025-06-01 20:34:45.370701300 -0700
@@ -108,8 +108,7 @@
     LteHandoverManagementSapUser* m_handoverManagementSapUser;
     /// Receive API calls from the eNodeB RRC instance.
     LteHandoverManagementSapProvider* m_handoverManagementSapProvider;
-
-}; // end of class A3RsrpHandoverAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/cqa-ff-mac-scheduler.cc ns-3.45/src/lte/model/cqa-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/cqa-ff-mac-scheduler.cc	2025-03-09 16:55:49.483371500 -0700
+++ ns-3.45/src/lte/model/cqa-ff-mac-scheduler.cc	2025-06-01 20:34:45.370701300 -0700
@@ -34,13 +34,13 @@
 
 NS_LOG_COMPONENT_DEFINE("CqaFfMacScheduler");
 
-/// CGA Type 0 Allocation
+/// CGA Type 0 Allocation (see table 7.1.6.1-1 of 36.213)
 static const int CqaType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(CqaFfMacScheduler);
 
@@ -299,10 +299,10 @@
                 m_ueLogicalChannelsConfigList.find(flowid)->second = *lcit;
             }
         }
-
-    } // else new UE is added
+    }
     else
     {
+        // Add new UE
         for (auto lcit = params.m_logicalChannelConfigList.begin();
              lcit != params.m_logicalChannelConfigList.end();
              lcit++)
@@ -1257,8 +1257,8 @@
                     }
                     sum += sbCqi;
                 }
-            } // end if cqi
-        }     // end of rbgNum
+            }
+        }
 
         sbCqiSum.insert(std::pair<uint16_t, uint8_t>((*itrbr).first.m_rnti, sum));
     }
@@ -1307,6 +1307,7 @@
             break;
         }
 
+        // While there are more users in current group
         while (!availableRBGs.empty() && !itCurrentGroup->second.empty())
         {
             bool currentRBchecked = false;
@@ -1528,9 +1529,8 @@
             {
                 itCurrentGroup->second.erase(userWithMaximumMetric);
             }
-
-        } // while there are more users in current group
-    }     // while there are more groups of users
+        }
+    }
 
     // reset TTI stats of users
     for (auto itStats = m_flowStatsDl.begin(); itStats != m_flowStatsDl.end(); itStats++)
@@ -1676,7 +1676,7 @@
         }
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; // TODO: check correct value according the DCIs txed
 
     // update UEs stats
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/epc-tft-classifier.cc ns-3.45/src/lte/model/epc-tft-classifier.cc
--- ns-3.44/src/lte/model/epc-tft-classifier.cc	2025-03-09 16:55:49.483371500 -0700
+++ ns-3.45/src/lte/model/epc-tft-classifier.cc	2025-06-01 20:34:45.371701500 -0700
@@ -251,10 +251,9 @@
 
     if (protocolNumber == Ipv4L3Protocol::PROT_NUMBER)
     {
-        NS_LOG_INFO("Classifying packet:"
-                    << " localAddr=" << localAddressIpv4 << " remoteAddr=" << remoteAddressIpv4
-                    << " localPort=" << localPort << " remotePort=" << remotePort << " tos=0x"
-                    << (uint16_t)tos);
+        NS_LOG_INFO("Classifying packet: localAddr="
+                    << localAddressIpv4 << " remoteAddr=" << remoteAddressIpv4 << " localPort="
+                    << localPort << " remotePort=" << remotePort << " tos=0x" << (uint16_t)tos);
 
         // now it is possible to classify the packet!
         // we use a reverse iterator since filter priority is not implemented properly.
@@ -282,10 +281,9 @@
     }
     else if (protocolNumber == Ipv6L3Protocol::PROT_NUMBER)
     {
-        NS_LOG_INFO("Classifying packet:"
-                    << " localAddr=" << localAddressIpv6 << " remoteAddr=" << remoteAddressIpv6
-                    << " localPort=" << localPort << " remotePort=" << remotePort << " tos=0x"
-                    << (uint16_t)tos);
+        NS_LOG_INFO("Classifying packet: localAddr="
+                    << localAddressIpv6 << " remoteAddr=" << remoteAddressIpv6 << " localPort="
+                    << localPort << " remotePort=" << remotePort << " tos=0x" << (uint16_t)tos);
 
         // now it is possible to classify the packet!
         // we use a reverse iterator since filter priority is not implemented properly.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/fdbet-ff-mac-scheduler.cc ns-3.45/src/lte/model/fdbet-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/fdbet-ff-mac-scheduler.cc	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/fdbet-ff-mac-scheduler.cc	2025-06-01 20:34:45.473701700 -0700
@@ -26,13 +26,13 @@
 
 NS_LOG_COMPONENT_DEFINE("FdBetFfMacScheduler");
 
-/// FdBetType0AllocationRbg array
+/// FdBetType0AllocationRbg array (see table 7.1.6.1-1 of 36.213)
 static const int FdBetType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(FdBetFfMacScheduler);
 
@@ -988,17 +988,15 @@
                         itMax = it;
                         metricMax = metric;
                     }
-                } // end for estAveThr
+                }
 
                 rbgMap.at(i) = true;
-
-            } // end for free RBGs
+            }
 
             i++;
 
         } while (i < rbgNum); // end for RBGs
-
-    } // end if estAveThr
+    }
 
     // reset TTI stats of users
     for (auto itStats = m_flowStatsDl.begin(); itStats != m_flowStatsDl.end(); itStats++)
@@ -1147,7 +1145,7 @@
         }
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; /// \todo check correct value according the DCIs txed
 
     // update UEs stats
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/fdmt-ff-mac-scheduler.cc ns-3.45/src/lte/model/fdmt-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/fdmt-ff-mac-scheduler.cc	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/fdmt-ff-mac-scheduler.cc	2025-06-01 20:34:45.473701700 -0700
@@ -26,13 +26,13 @@
 
 NS_LOG_COMPONENT_DEFINE("FdMtFfMacScheduler");
 
-/// FdMtType0AllocationRbg size array
+/// FdMtType0AllocationRbg size array (see table 7.1.6.1-1 of 36.213)
 static const int FdMtType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(FdMtFfMacScheduler);
 
@@ -922,9 +922,8 @@
                         itMax = it;
                     }
                 }
-            } // end if cqi
-
-        } // end for m_rlcBufferReq
+            }
+        }
 
         if (itMax == m_flowStatsDl.end())
         {
@@ -948,7 +947,7 @@
             }
             NS_LOG_INFO(this << " UE assigned " << (*itMax));
         }
-    } // end for RBGs
+    }
 
     // generate the transmission opportunities by grouping the RBGs of the same RNTI and
     // creating the correspondent DCIs
@@ -1127,7 +1126,7 @@
         ret.m_buildDataList.push_back(newEl);
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; /// \todo check correct value according the DCIs txed
 
     m_schedSapUser->SchedDlConfigInd(ret);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/fdtbfq-ff-mac-scheduler.cc ns-3.45/src/lte/model/fdtbfq-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2025-06-01 20:34:45.473701700 -0700
@@ -27,13 +27,13 @@
 
 NS_LOG_COMPONENT_DEFINE("FdTbfqFfMacScheduler");
 
-/// FdTbfqType0AllocationRbg value array
+/// FdTbfqType0AllocationRbg value array (see table 7.1.6.1-1 of 36.213)
 static const int FdTbfqType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(FdTbfqFfMacScheduler);
 
@@ -1056,7 +1056,7 @@
                 metricMax = metric;
                 itMax = it;
             }
-        } // end for m_flowStatsDl
+        }
 
         if (itMax == m_flowStatsDl.end())
         {
@@ -1200,9 +1200,9 @@
                             achievableRateMax = achievableRate;
                             rbgIndex = k;
                         }
-                    } // end of LcActivePerFlow
-                }     // end of cqi
-            }         // end of for rbgNum
+                    }
+                }
+            }
 
             if (rbgIndex == rbgNum) // impossible
             {
@@ -1294,8 +1294,7 @@
                               8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
                 bytesTxed += tbSize;
             }
-
-        } // end of while()
+        }
 
         // remove and unmark last RBG assigned to UE
         if (bytesTxed > budget)
@@ -1339,7 +1338,7 @@
                 }
             }
         }
-    } // end of RBGs
+    }
 
     // generate the transmission opportunities by grouping the RBGs of the same RNTI and
     // creating the correspondent DCIs
@@ -1519,7 +1518,7 @@
         ret.m_buildDataList.push_back(newEl);
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; /// \todo check correct value according the DCIs txed
 
     m_schedSapUser->SchedDlConfigInd(ret);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-amc.h ns-3.45/src/lte/model/lte-amc.h
--- ns-3.44/src/lte/model/lte-amc.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-amc.h	2025-06-01 20:34:45.474701600 -0700
@@ -121,8 +121,7 @@
      * AMC model used to assign CQI.
      */
     AmcModel m_amcModel;
-
-}; // end of `class LteAmc`
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-anr.cc ns-3.45/src/lte/model/lte-anr.cc
--- ns-3.44/src/lte/model/lte-anr.cc	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-anr.cc	2025-06-01 20:34:45.474701600 -0700
@@ -183,21 +183,16 @@
                     neighbourRelation.detectedAsNeighbour = true;
                     m_neighbourRelationTable[it->physCellId] = neighbourRelation;
                 }
-
-            } // end of for (it = measResults.measResultListEutra.begin ())
-
-        } // end of if (measResults.haveMeasResultNeighCells &&
-          // !(measResults.measResultListEutra.empty ()))
+            }
+        }
         else
         {
             NS_LOG_WARN(
                 this << " Event A4 received without measurement results from neighbouring cells");
             /// @todo Remove neighbours in the NRT.
         }
-
-    } // end of else of if (measId != m_measId)
-
-} // end of DoReportUeMeas
+    }
+}
 
 void
 LteAnr::DoAddNeighbourRelation(uint16_t cellId)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-anr.h ns-3.45/src/lte/model/lte-anr.h
--- ns-3.44/src/lte/model/lte-anr.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-anr.h	2025-06-01 20:34:45.474701600 -0700
@@ -221,8 +221,7 @@
 
     /// Serving cell ID
     uint16_t m_servingCellId;
-
-}; // end of class LteAnr
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-anr-sap.h ns-3.45/src/lte/model/lte-anr-sap.h
--- ns-3.44/src/lte/model/lte-anr-sap.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-anr-sap.h	2025-06-01 20:34:45.474701600 -0700
@@ -132,7 +132,8 @@
   private:
     C* m_owner; ///< the owner class
 
-}; // end of class MemberLteAnrSapProvider
+    // end of class MemberLteAnrSapProvider
+};
 
 template <class C>
 MemberLteAnrSapProvider<C>::MemberLteAnrSapProvider(C* owner)
@@ -199,7 +200,8 @@
   private:
     C* m_owner; ///< the owner class
 
-}; // end of class MemberLteAnrSapUser
+    // end of class MemberLteAnrSapUser
+};
 
 template <class C>
 MemberLteAnrSapUser<C>::MemberLteAnrSapUser(C* owner)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-common.h ns-3.45/src/lte/model/lte-common.h
--- ns-3.44/src/lte/model/lte-common.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-common.h	2025-06-01 20:34:45.474701600 -0700
@@ -371,8 +371,7 @@
      * \sa LteRrcSap::CellSelectionInfo
      */
     static double IeValue2ActualQQualMin(int8_t qQualMinIeValue);
-
-}; // end of class EutranMeasurementMapping
+};
 
 }; // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-control-messages.h ns-3.45/src/lte/model/lte-control-messages.h
--- ns-3.44/src/lte/model/lte-control-messages.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-control-messages.h	2025-06-01 20:34:45.474701600 -0700
@@ -341,7 +341,8 @@
   private:
     LteRrcSap::MasterInformationBlock m_mib; ///< MIB
 
-}; // end of class MibLteControlMessage
+    // end of class MibLteControlMessage
+};
 
 // ---------------------------------------------------------------------------
 
@@ -379,7 +380,8 @@
   private:
     LteRrcSap::SystemInformationBlockType1 m_sib1; ///< SIB1
 
-}; // end of class Sib1LteControlMessage
+    // end of class Sib1LteControlMessage
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-enb-component-carrier-manager.h ns-3.45/src/lte/model/lte-enb-component-carrier-manager.h
--- ns-3.44/src/lte/model/lte-enb-component-carrier-manager.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-enb-component-carrier-manager.h	2025-06-01 20:34:45.475701800 -0700
@@ -210,8 +210,7 @@
     LteCcmRrcSapProvider*
         m_ccmRrcSapProvider; //!< A pointer to the SAP interface of the CCM instance to receive API
                              //!< calls from the eNodeB RRC instance.
-
-}; // end of class LteEnbComponentCarrierManager
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-enb-net-device.h ns-3.45/src/lte/model/lte-enb-net-device.h
--- ns-3.44/src/lte/model/lte-enb-net-device.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-enb-net-device.h	2025-06-01 20:34:45.475701800 -0700
@@ -257,8 +257,7 @@
 
     Ptr<LteEnbComponentCarrierManager>
         m_componentCarrierManager; ///< the component carrier manager of this eNb
-
-}; // end of class LteEnbNetDevice
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-enb-phy.cc ns-3.45/src/lte/model/lte-enb-phy.cc
--- ns-3.44/src/lte/model/lte-enb-phy.cc	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-enb-phy.cc	2025-06-01 20:34:45.475701800 -0700
@@ -871,12 +871,13 @@
     m_ulBandwidth = ulBandwidth;
     m_dlBandwidth = dlBandwidth;
 
+    // See table 7.1.6.1-1 of 36.213
     static const int Type0AllocationRbg[4] = {
         10,  // RBG size 1
         26,  // RBG size 2
         63,  // RBG size 3
         110, // RBG size 4
-    };       // see table 7.1.6.1-1 of 36.213
+    };
     for (int i = 0; i < 4; i++)
     {
         if (dlBandwidth < Type0AllocationRbg[i])
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-enb-phy.h ns-3.45/src/lte/model/lte-enb-phy.h
--- ns-3.44/src/lte/model/lte-enb-phy.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-enb-phy.h	2025-06-01 20:34:45.475701800 -0700
@@ -503,8 +503,7 @@
      * PhyTransmissionStatParameters.
      */
     TracedCallback<PhyTransmissionStatParameters> m_dlPhyTransmission;
-
-}; // end of `class LteEnbPhy`
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-enb-rrc.cc ns-3.45/src/lte/model/lte-enb-rrc.cc
--- ns-3.44/src/lte/model/lte-enb-rrc.cc	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-enb-rrc.cc	2025-06-01 20:34:45.476701700 -0700
@@ -1369,8 +1369,7 @@
                                         m_rrc->ComponentCarrierToCellId(m_componentCarrierId),
                                         m_rnti,
                                         msg);
-
-} // end of UeManager::RecvMeasurementReport
+}
 
 // methods forwarded from CMAC SAP
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-enb-rrc.h ns-3.45/src/lte/model/lte-enb-rrc.h
--- ns-3.44/src/lte/model/lte-enb-rrc.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-enb-rrc.h	2025-06-01 20:34:45.476701700 -0700
@@ -1768,14 +1768,17 @@
      */
     TracedCallback<uint64_t, uint16_t, uint16_t> m_handoverFailureJoiningTrace;
 
-    uint16_t m_numberOfComponentCarriers; ///< number of component carriers
+    /// Number of component carriers
+    uint16_t m_numberOfComponentCarriers;
 
-    bool m_carriersConfigured; ///< are carriers configured
+    /// Are carriers configured
+    bool m_carriersConfigured;
 
-    std::map<uint8_t, Ptr<ComponentCarrierBaseStation>>
-        m_componentCarrierPhyConf; ///< component carrier phy configuration
+    /// Component carrier phy configuration
+    std::map<uint8_t, Ptr<ComponentCarrierBaseStation>> m_componentCarrierPhyConf;
 
-}; // end of `class LteEnbRrc`
+    // end of `class LteEnbRrc`
+};
 
 /**
  * @brief Stream insertion operator.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ffr-algorithm.cc ns-3.45/src/lte/model/lte-ffr-algorithm.cc
--- ns-3.44/src/lte/model/lte-ffr-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-ffr-algorithm.cc	2025-06-01 20:34:45.476701700 -0700
@@ -18,13 +18,13 @@
 
 NS_LOG_COMPONENT_DEFINE("LteFfrAlgorithm");
 
-/// Type 0 RBG allocation
+/// Type 0 RBG allocation (see table 7.1.6.1-1 of 3GPP TS 36.213)
 static const int Type0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 3GPP TS 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(LteFfrAlgorithm);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ffr-algorithm.h ns-3.45/src/lte/model/lte-ffr-algorithm.h
--- ns-3.44/src/lte/model/lte-ffr-algorithm.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-ffr-algorithm.h	2025-06-01 20:34:45.476701700 -0700
@@ -243,8 +243,7 @@
     bool m_enabledInUplink; /**< If true FR algorithm will also work in Uplink*/
 
     bool m_needReconfiguration; /**< If true FR algorithm will be reconfigured*/
-
-}; // end of class LteFfrAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ffr-distributed-algorithm.cc ns-3.45/src/lte/model/lte-ffr-distributed-algorithm.cc
--- ns-3.44/src/lte/model/lte-ffr-distributed-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-ffr-distributed-algorithm.cc	2025-06-01 20:34:45.476701700 -0700
@@ -701,7 +701,6 @@
         cellMeasures->m_rsrq = rsrq;
         it1->second[cellId] = cellMeasures;
     }
-
-} // end of UpdateNeighbourMeasurements
+}
 
 } // end of namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ffr-distributed-algorithm.h ns-3.45/src/lte/model/lte-ffr-distributed-algorithm.h
--- ns-3.44/src/lte/model/lte-ffr-distributed-algorithm.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-ffr-distributed-algorithm.h	2025-06-01 20:34:45.476701700 -0700
@@ -178,8 +178,7 @@
     std::map<uint16_t, uint32_t> m_cellWeightMap; ///< cell weight map
 
     std::map<uint16_t, std::vector<bool>> m_rntp; ///< RNTP
-
-}; // end of class LteFfrDistributedAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ffr-enhanced-algorithm.h ns-3.45/src/lte/model/lte-ffr-enhanced-algorithm.h
--- ns-3.44/src/lte/model/lte-ffr-enhanced-algorithm.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-ffr-enhanced-algorithm.h	2025-06-01 20:34:45.476701700 -0700
@@ -181,8 +181,7 @@
 
     /// The expected measurement identity
     uint8_t m_measId;
-
-}; // end of class LteFfrEnhancedAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ffr-rrc-sap.h ns-3.45/src/lte/model/lte-ffr-rrc-sap.h
--- ns-3.44/src/lte/model/lte-ffr-rrc-sap.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-ffr-rrc-sap.h	2025-06-01 20:34:45.476701700 -0700
@@ -148,7 +148,8 @@
   private:
     C* m_owner; ///< the owner class
 
-}; // end of class MemberLteFfrRrcSapProvider
+    // end of class MemberLteFfrRrcSapProvider
+};
 
 template <class C>
 MemberLteFfrRrcSapProvider<C>::MemberLteFfrRrcSapProvider(C* owner)
@@ -214,7 +215,8 @@
   private:
     C* m_owner; ///< the owner class
 
-}; // end of class LteFfrRrcSapUser
+    // end of class LteFfrRrcSapUser
+};
 
 template <class C>
 MemberLteFfrRrcSapUser<C>::MemberLteFfrRrcSapUser(C* owner)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ffr-sap.h ns-3.45/src/lte/model/lte-ffr-sap.h
--- ns-3.44/src/lte/model/lte-ffr-sap.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-ffr-sap.h	2025-06-01 20:34:45.476701700 -0700
@@ -165,7 +165,8 @@
   private:
     C* m_owner; ///< the owner class
 
-}; // end of class MemberLteFfrSapProvider
+    // end of class MemberLteFfrSapProvider
+};
 
 template <class C>
 MemberLteFfrSapProvider<C>::MemberLteFfrSapProvider(C* owner)
@@ -260,7 +261,8 @@
   private:
     C* m_owner; ///< the owner class
 
-}; // end of class LteFfrSapUser
+    // end of class LteFfrSapUser
+};
 
 template <class C>
 MemberLteFfrSapUser<C>::MemberLteFfrSapUser(C* owner)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ffr-soft-algorithm.h ns-3.45/src/lte/model/lte-ffr-soft-algorithm.h
--- ns-3.44/src/lte/model/lte-ffr-soft-algorithm.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-ffr-soft-algorithm.h	2025-06-01 20:34:45.476701700 -0700
@@ -151,8 +151,7 @@
 
     /// The expected measurement identity
     uint8_t m_measId;
-
-}; // end of class LteFfrSoftAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-fr-hard-algorithm.h ns-3.45/src/lte/model/lte-fr-hard-algorithm.h
--- ns-3.44/src/lte/model/lte-fr-hard-algorithm.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-fr-hard-algorithm.h	2025-06-01 20:34:45.476701700 -0700
@@ -113,8 +113,7 @@
 
     std::vector<bool> m_dlRbgMap; ///< DL RBG Map
     std::vector<bool> m_ulRbgMap; ///< UL RBG Map
-
-}; // end of class LteFrHardAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-fr-no-op-algorithm.h ns-3.45/src/lte/model/lte-fr-no-op-algorithm.h
--- ns-3.44/src/lte/model/lte-fr-no-op-algorithm.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-fr-no-op-algorithm.h	2025-06-01 20:34:45.476701700 -0700
@@ -87,8 +87,7 @@
     // FFR RRF SAP
     LteFfrRrcSapUser* m_ffrRrcSapUser;         ///< FFR RRC SAP user
     LteFfrRrcSapProvider* m_ffrRrcSapProvider; ///< FFR RRC SAP provider
-
-}; // end of class LteFrNoOpAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-fr-soft-algorithm.h ns-3.45/src/lte/model/lte-fr-soft-algorithm.h
--- ns-3.44/src/lte/model/lte-fr-soft-algorithm.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-fr-soft-algorithm.h	2025-06-01 20:34:45.477701700 -0700
@@ -142,8 +142,7 @@
 
     /// The expected measurement identity
     uint8_t m_measId;
-
-}; // end of class LteFrSoftAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-fr-strict-algorithm.h ns-3.45/src/lte/model/lte-fr-strict-algorithm.h
--- ns-3.44/src/lte/model/lte-fr-strict-algorithm.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-fr-strict-algorithm.h	2025-06-01 20:34:45.477701700 -0700
@@ -142,8 +142,7 @@
 
     /// The expected measurement identity
     uint8_t m_measId;
-
-}; // end of class LteFrStrictAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-handover-algorithm.h ns-3.45/src/lte/model/lte-handover-algorithm.h
--- ns-3.44/src/lte/model/lte-handover-algorithm.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-handover-algorithm.h	2025-06-01 20:34:45.477701700 -0700
@@ -91,8 +91,7 @@
      * @param measResults a single report of one measurement identity
      */
     virtual void DoReportUeMeas(uint16_t rnti, LteRrcSap::MeasResults measResults) = 0;
-
-}; // end of class LteHandoverAlgorithm
+};
 
 } // end of namespace ns3
 
